@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap'); /*Importando fontes do google para a pagina. site:https://fonts.google.com/ */

*{ /*Dessa forma está retirando a margem padrão do navegador. O conteudo fica PARA TODA A PÁGINA */
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none; /*Retira o sublinhado dos links*/
}

:root { /* Comando para criar uma variavel para passar como parametro nas configuração. Em vez de ficar alterando um por um ou localizando é só alterar a variavél*/
    --main-color: #040714; /*É uma variavel pode ser qualquer nome dentre os permitidos para a linguagem*/
    --site-color: #fff;    /*É  uma variavel pode ser qualquer nome dentre os permitidos para a linguagem*/
    --active-color: #0063e5;
    --first-color: #08132f;
    --second-color: #090b13;
    --third-color: #1b202a;
    --fundo-pagina: #d7cfcf;
    
}

body{ /*custumizando a pagina*/
    background-color: var(--fundo-pagina); /*Passando a varivel criada como paramentro*/
    /*color: var(--site-color); Foi retirando durante o cursos pois foi criado a section e foi personalizado por lá*/
   /* font-family: 'Ubuntu', 'sans-serif'; Ultilizando fonstes que foi acrecentado pela biblioteca do google/Colocado só para demosntração na aula */

}

.max-width{ /*lembrando que a class usa-se ponto para chamar*/
    max-width: 1300px; /*max-width = Maxima LARGURA*/
    padding: 0 10px;   /*padding = PREENCHIMENTO*/ 
    margin: auto;
}

.navbar .logo a{   /*Observa que quando se vai atribuir caracteristica a uma teg não precisa colocar ponto, nesse casso o link tem que obder a hierarqui das class*/
    color: var(--fundo-pagina);
    font-size: 28px; /*Tamanho da Fonte*/
    font-weight: 500; /*Espessura da fonte*/
}

.navbar .max-width{
    display: flex; /*Colocando todas class subordinadas na mesma linha*/
    align-items: center; /*Alinhar os itens*/
    justify-content: space-between; /*Colocar todos em uma mesma distência*/
    
}

.navbar .menu li{
    list-style: none; /*Vai retirar os pontos da lista*/
    display: inline-block; /*Colocar a lista em uma unica linha*/
}

.navbar .menu li a{
    /*display: block; /*Não vi utilidade no código essa linha de comando*/
    color: var(--site-color);
    font-size: 18px;
    font-weight: 400;
    margin-left: 25px;

}

.navbar{
    position: fixed;
    width: 100%;
    z-index: 999;
    padding: 10px 0;
    font-family: 'Ubuntu', 'sans-serif';
    background-color: var(--main-color);
    border-bottom: solid var(--third-color) 1px;

}


.menu-btn{
    color: var(--site-color);
    font-size: 23px;
    cursor: pointer; /*Para o ponteiro do mause ao passar virar uma seta*/
    display: none; /*Quando for usado em dispositivo movel aparece o menu*/
}

.menu-btn{
    color: var(--site-color);
    font-size: 23px;
    cursor: pointer;
    display: none;
}

@media (max-width: 947px){ /*configuração do item do menu, fazendo ele aparece na tela e ficar retratio e alongar*/
    .menu-btn{
        display: block; /*Comando para  bloquear a tela e muda a forma de visualização quando atifir o formato certo*/
        z-index: 999; /*o tamanho do formato que mudaram a tela quando atigindo*/
    }

    #menu-icon.active::before{/*Esse id está chamando o icone fechar logo apos abrir o menu. ele ativa usando a função no javascript*/
        content: "\f00d";
    }
    .navbar .menu{ /*Comportamento do munu com a alteração*/
        background-color: var(--main-color);
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100%;
        top: 0;
        text-align: center;
        padding: 80px;
        transition: all 0.3s ease; /*Confirguação da Transição do menu quando usado aplicativos moveis. Testar depois outros modelos de transicão */
    }
    #menu-site.active{ /*Aqui usando o id (identificado), lebrando que no uso de id usa-se #*/
        left: 0;
    }
    .navbar .menu li{
        display: block;
    }
    .navbar .menu li a {
        display: inline-block;
        margin: 13px 0;
        font-size: 25px;
    }
}

section{ /*Confirgurandoa sessão*/
    padding: 50px 0;
}

@media (.max-width: 690px){ /*Configurando a sessão para dispositivos moveis*/
    section {
        padding: 20px 0;
    }
}

.top{
    color: var(--site-color);
    display: flex;
   /*background: url("../img/banner_top.jpg") no-repeat center; Dessa forma a imagem fica como ela é*/
    background: linear-gradient(to right, var(--main-color) 20%, rgba(255,255,255,0)), url("../img/banner_top.jpg") no-repeat center; /*Dessa forma a imagem fica degrader*/
    height: 100vh; /*controla o orizonta da pagina, com isso aparece a barra de rolagem*/
    min-height: 500px;
    background-size: cover; /*Colocar a imagem a baixa do menu*/
    background-attachment: fixed; /*Essa propriedade deixa a imagem fixa na pagina*/
    font-family: 'Ubuntu', 'sans-serif';
}

.top .max-width{
    width: 100%;
    display: flex;
}

.top .top-content .text-1{
    font-size: 18px;
}

.top .top-content .text-2{
    font-size: 45px;
    font-weight: 400;
    margin-left: -3px;
}

.top .top-content .text-3{
    font-size: 21px;
    margin: 5px 0;
}

.top .top-content a{ /*Personalizando o link para virar um botão*/
    display: inline-block;
    background: var(--active-color);
    color: var(--site-color);
    font-size: 25px;
    padding: 12px 36px;
    margin-top: 20px;
    font-weight: 300;
    border-radius: 6px;
    border: 2px solid var(--active-color);
    transition: all 0.5s ease;
}

.top .top-content a:hover{ /*Confirguração para mudar a cor quando se passar o mause*/
    color: var(--active-color);
    background: none;
}

/* Inicio da primeira seção */

.services{ 
    color: var(--site-color);
    background-color: var(--main-color);
    font-family: 'poppins', 'sans-serif';
    margin: 60px;
}

.services .title{ /*Configurando o Titulo*/
    text-align: center;
    margin: 40px 0;
    font-weight: 400;
    font-size: 35px;
}

.services .serv-content{
    display: flex; /*Colocar tudo na mesma linha*/
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

}

.services .serv-content .card{
    width: calc(33% - 20px);
    background-color: var(--first-color);
    text-align: center;
    border-radius: 6px;
    padding: 50px 25px;
    cursor: pointer;
    transition: all 0.5s ease; 


}

.services .serv-content .card:hover{ /*A propriedade "houver" é a responsavel de quando passar o mause mudar as caracteriticas do fundo nesse caso*/
    background: var(--active-color);
}

.services .serv-content .card i{
    font-size: 50px;
    color: var(--active-color);
    transition: all 0.5s ease;
}

.services .serv-content .card .box{
    transition: all 0.5s ease;
}

.services .serv-content .card:hover .box {
    transform: scale(1.05);
}

.services .serv-content .card:hover i{
    color: var(--site-color);
}

.services .serv-content .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}

@media (max-width: 947px){
    .services .serv-content .card{
       width: calc(50% - 10px);
       margin-bottom: 20px; 
    }
}

@media (max-width: 690px){
    .services .serv-content .card{
        width: 100%;

    }
}

/*Fim da Primeira Seção*/

/*Inicio da Segunda seção*/

.premium{
    color: var(--site-color);
    background: var(--first-color);
    font-family: 'Poppins', 'sans-serif';
}

.premium .title{
    text-align: center;
    margin: 50px 0;
    font-weight: 400;
    font-size: 35px;
}

.premium .premium-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

.premium .premium-content .left{
    width: 45%;
}

.premium .premium-content .left img {
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 6px;
}

.premium .premium-content .right {
    width: 55%;
}

.premium .premium-content .right .text{
    font-size: 25px;
    font-weight: 400;
    margin-bottom: 10px;
}

.premium .premium-content .right p{
    text-align: justify;
}

.premium .premium-content .right a{
    display: inline-block;
    background: var(--active-color);
    color: var(--site-color);
    font-size: 20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid var(--active-color);
    transition: all 0,5s ease;
        
}

.premium .premium-content .right a:hover{
    color: var(--active-color);
    background: none;
}

@media (max-width: 1104px){
    .premium .premium-content .left img{
        width: 350px;
        height: 350px;
    }
}

@media (max-width: 947px){
    .premium .premium-content .column{
        width: 100%;
    }
    .premium .premium-content .left{
        display: flex;
        justify-content: center;
        margin: 0 auto 60px;
    }

    .premium .premium-content .right{
        flex: 100%;
    }
}

/* Fim dessa seção*/

/*Inicio do rodapé*/

footer{
    background: var(--second-color);
    padding: 10px 23px;
    color: var(--site-color);
    text-align: center;
    font-family: 'Poppins', 'sans-serif';
}

footer span a{
    color: var(--active-color);
}

footer span a:hover{
    color: var(--site-color)
}

/* Fim do rodapé */

/* Inicio da pagina - Formação */

.about{
   color: var(--site-color);
   background: var(--third-color);
   font-family: 'Poppins', 'sans-serif';
}

.about .title{
    text-align: center;
    margin-bottom: 50px;
    font-weight: 400;
    font-size: 35px;
    padding: 50px;
}

.about .about-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
    background: var(--first-color);
    border-radius: 6px;
    padding: 30px;
}

.about .about-content .left{
    width: 40%;
}

.about .about-content .left img{
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 6px;
}

.about .about-content .right{
    width: 60%;
}


.about .about-content .right .text{
    font-size: 25px;
    font-weight: 300;
    margin-bottom: 10px;
}

.about .about-content .right p{
   text-align: justify;
   
}

@media(max-width: 1104px){
    .about .about-content .left img{
        width: 300px;
        height: 300px;
    }  
    .about .about-content .right{
        padding-left: 10px;
    } 
}

@media(max-width: 947px){
    .about .about-content .column{
        width: 100%px;
        
    }  
    .about .about-content .left{
        display: flex;
        justify-content: center;
        margin: 0 auto 60px;
    } 
    .about .about-content .left{
       flex: 100%;
       padding-left: 0;
    } 
    
}

@media(max-width: 740px){
    .about .title{
        margin-top: 50px;
    }
}


/* Fim da Pagina - Formação*/

/* Inicio da pagina contato*/

.contact {
    color: var(--site-color);
    background-color: var(--main-color);
    font-family: 'Poppins', sans-serif;
}

.contact .title {
    text-align: center;
    margin-bottom: 50px;
    padding-top: 50px;
    font-weight: 400;
    font-size: 35px;
}

.contact .contact-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

.contact .contact-content .column {
    width: calc(50% - 30px);
}

.contact .contact-content .left p {
    text-align: justify;
}

.contact .contact-content .left .icons {
    margin: 10px 0;
}

.contact .contact-content .row {
    display: flex;
    height: 65px;
    align-items: center;
}

.contact .contact-content .row .info {
    margin-left: 30px;
}

.contact .contact-content .row i {
    font-size: 25px;
    color: var(--active-color);
}

.contact .contact-content .info .head {
    font-weight: 500;
}

.contact .contact-content .info .sub-title {
    color: var(--site-color);
}

.contact .contact-content .text {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 10px;
}

.contact .right form .field,
.contact .right form .fields .field {
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
}

.contact .right form .textarea {
    height: 80px;
    width: 100%;
}

.contact .right form .field input,
.contact .right form .field textarea {
    height: 100%;
    width: 100%;
    border-radius: 6px;
    outline: none;
    padding: 0 10px;
    font-family: 'Poppins', sans-serif;
    transition: all 0.3s ease;
}

.contact .right form .field input:focus,
.contact .right form .field textarea:focus {
    border-color: var(--active-color);
}

.contact .right form .textarea textarea {
    padding-top: 10px;
    resize: none;
}

.contact .right form .button-area {
    display: flex;
    align-items: center;
}

.right form .button-area button {
    background-color: var(--active-color);
    color: var(--site-color);
    display: block;
    width: 160px !important;
    height: 45px;
    outline: none;
    font-size: 18px;
    font-weight: 400;
    border-radius: 6px;
    cursor: pointer;
    flex-wrap: wrap;
    border: 2px solid var(--active-color);
    transition: all 0.3s ease;
}

.right form .button-area button:hover {
    color: var(--active-color);
    background: none;
}

@media (max-width: 947px) {
    .contact .contact-content .column {
        width: 100%;
        margin-bottom: 35px;
    }
}

@media(max-width: 500px) {
    .contact .title {
        margin-top: 50px;
    }
    .contact .right form .fields {
        flex-direction: column;
    }
    .contact .right form .name,
    .contact .right form .email {
        margin: 0;
    }
}



/*Fim da Pagina Contato */